> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiment Template Source Protocol

> Return the source protocol text stored on a template.

Parameters
----------
template_id : str
    ID of the template.

Returns
-------
str
    The original protocol text.

Raises
------
NotFoundError
    If the template or its source protocol does not exist.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /experiment_templates/{template_id}/source_protocol
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /experiment_templates/{template_id}/source_protocol:
    get:
      tags:
        - experiment_templates
      summary: Get Experiment Template Source Protocol
      description: |-
        Return the source protocol text stored on a template.

        Parameters
        ----------
        template_id : str
            ID of the template.

        Returns
        -------
        str
            The original protocol text.

        Raises
        ------
        NotFoundError
            If the template or its source protocol does not exist.
      operationId: >-
        get_experiment_template_source_protocol_experiment_templates__template_id__source_protocol_get
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            title: Template Id
      responses:
        '200':
          description: Successful Response
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````